
export function addToGlobalList(GLOBALLIST, player, task, isCompleted) {
    const existingPlayer = GLOBALLIST.find(item => item.player === player);

    if (existingPlayer) {
        if (isCompleted) {
            existingPlayer.completed.push(task);
        } else {
            existingPlayer.tasks.push(task);
        }
    } else {
        const newPlayer = {
            player: player,
            tasks: [],
            completed: []
        };

        if (isCompleted) {
            newPlayer.completed.push(task);
        } else {
            newPlayer.tasks.push(task);
        }

        GLOBALLIST.push(newPlayer);
    }
}


export function updateGlobalList(GLOBALLIST, player, task, index, isCompleted, changed) {
    const existingPlayer = GLOBALLIST.find(item => item.player === player);

    if (existingPlayer) {
        if (changed) {
            if(isCompleted){
                existingPlayer.tasks.splice(index, 1);
                existingPlayer.completed.push(task);
            }
            else{
                existingPlayer.completed.splice(index, 1);
                existingPlayer.tasks.push(task);
            }
        }
        else {
            if(isCompleted)
                existingPlayer.completed[index] = task;
            else
                existingPlayer.tasks[index] = task;
        }
    }
}


export function removeFromGlobalList(GLOBALLIST, player, index, isCompleted) {
    const existingPlayer = GLOBALLIST.find(item => item.player === player);

    if (existingPlayer) {
        if(isCompleted){
            existingPlayer.completed.splice(index, 1);
        }
        else{
            existingPlayer.tasks.splice(index, 1);
        }
    }
}
