import { world } from "@minecraft/server";
import { getPlayerByName, retrieveDataFromLore } from "./book_lore/lore_functions.js";
import { openTODOList } from "./list_forms/forms_functions.js";


const afterEvents = world.afterEvents;
const listItem = "list:todolist";
let GLOBALLIST = [];


afterEvents.worldInitialize.subscribe((data) => {
    world.getDimension("overworld").runCommand("tickingarea add circle 8 0 -8 2 Spawn true");
    retrieveDataFromLore(GLOBALLIST);
});

afterEvents.itemUse.subscribe((data) => {
    const player = getPlayerByName(data.source.name);
    if (player && data.itemStack.typeId?.toLowerCase() === listItem) {
        openTODOList(player, GLOBALLIST);
    }
});
